
//----------------------------------------
// Sample Ikon DRIVER
// Demonstrates how to register a device
//-----------------------------------------


#include <ikon.h>          /* ikon.h should ALWAYS be first  */
#include <string.h>
#include <gui.h>

void mod_init(DCM *dcm);
void *var_router(DCM *dcm, int var);
void *proc_router(DCM *dcm, int proc);
static void appmain();
int pid;                        /* The pid Ikon sends us */
int ourwinid;                   /* the id of our window */
int okaybut;
int filebut;
int boxid;
char appname[80];

void func1();

void mod_init(DCM *dcm)
{
  dcm->dcm_var=&var_router;
  dcm->dcm_proc=&proc_router;  
}

void *var_router(DCM *dcm, int function)
{
	if(function==1)
	{
		return (&func1);
	}
  return(0);
}

void *proc_router(DCM *dcm, int id)
{
	pid=id;
     appinit(dcm);
  return(0);
}

void blankfunc(int data)
{
        //nothing to do here
	CloseWin(ourwinid);
};

void func1()
{
	if(ourwinid==0)
	{
	ourwinid=MakeWindow(50,50,370,70,"Test Driver",blankfunc,0);
	RefreshWin(ourwinid);
	}
};

static void appmain()
{
	//*********[ Driver Init Routine ]****************
	// This routine is called from appinit(dcm) which is in turn called from proc_router
	InitGUI();
	Register_Device(pid,"DEV123");
};

