void (*SetFocusOn)(int thiswin);
void (*RefreshDesktop)();
void (*RefreshEditBox)(int boxid);
int (*MakeButton)(int winid,int x,int y,char *caption,void(*CallBack)(int data),int data);
int (*MakeWindow)(int x,int y,int w,int h,char *caption,void (*CallBack)(int data),int data);
int (*MakeColorButton)(int winid,int x,int y,int w,int h,int tc,int bc,char *caption,FONT *f,void(*CallBack)(int data),int data);
int (*MakeCustomButton)(int winid,int x,int y,int w,int h,void (*CallBack)(int data),int data);
void (*RefreshWin)(int winid);
int (*CurrentWindow)();
void (*RefreshIcons)();
int (*GetKey)();
int (*GetTextBoxPointer)(int id);
int (*ResetTextBox)(int id);
int (*AddTextBox)(int winid,int x,int y,int columns,int lines,char *textstring);
void (*RefreshTextBox)(int boxid);
void (*DestroyButton)(int id,int bgcolor);
void (*HideWindow)(int winid);
BITMAP *(*GetWinBMP)(int winid);
void (*ShowWin)(int winid);
void (*DisableButton)(int butid);
void (*EnableButton)(int butid);
int (*MakeLabelButton)(int winid,FONT *f,int x,int y,int c,char *caption,void (*CallBack)(int data),int data);
int (*MakeIcon)(int winid,int x,int y,char *filename,char *caption,void(*CallBack)(int data),int data);
void (*SetFocusOn)(int thiswin);
int (*MouseOver)(int winid);
void (*CloseWin)(int winid);
void (*SetWallpaper)(char *filename);
int (*AddEditBox)(int winid,int x,int y,int w,char *textstring,void (*CallBack)(int data),int data);
void (*PopMenu)(char *menu,void(*CallBack)(int data));
void (*ResetWallpaper)(char *filename);
void (*FileSelector)(char *initialdir,void (*CallBack)(),char *data);
int (*AddListBox)(int winid,int x,int y,int charswide,int maxlines,void (*CallBack)(int data),int data);
int (*AddListItem)(int id,char *items);
void (*RefreshListBox)(int id);
char *(*GetListBoxSelection)(int id);
void (*ResetListBox)(int id);
void (*GetWinInfo)(int id,int *x,int *y);
void (*SystemMessage)(char *message);
void (*FreeIcon)(int id);
void (*GetMouse)(int *x,int *y,int *b,int winid);
void (*RestartEvents)(void);
int (*GetLastMouseB)(void);
void (*PutKey)(int key);

void InitGUI()
{
int dllhandle;
dllhandle=1;
RefreshDesktop=Get_DLL_Function(dllhandle,2);
RefreshEditBox=Get_DLL_Function(dllhandle,3);
RefreshWin=Get_DLL_Function(dllhandle,4);
MakeButton=Get_DLL_Function(dllhandle,5);
MakeWindow=Get_DLL_Function(dllhandle,6);
CurrentWindow=Get_DLL_Function(dllhandle,8);
RefreshIcons=Get_DLL_Function(dllhandle,9);
GetKey=Get_DLL_Function(dllhandle,10);
GetTextBoxPointer=Get_DLL_Function(dllhandle,11);
ResetTextBox=Get_DLL_Function(dllhandle,12);
AddTextBox=Get_DLL_Function(dllhandle,13);
RefreshTextBox=Get_DLL_Function(dllhandle,14);
DestroyButton=Get_DLL_Function(dllhandle,15);
HideWindow=Get_DLL_Function(dllhandle,16);
GetWinBMP=Get_DLL_Function(dllhandle,17);
ShowWin=Get_DLL_Function(dllhandle,18);
DisableButton=Get_DLL_Function(dllhandle,19);
EnableButton=Get_DLL_Function(dllhandle,20);
MakeColorButton=Get_DLL_Function(dllhandle,21);
MakeLabelButton=Get_DLL_Function(dllhandle,22);
MakeIcon=Get_DLL_Function(dllhandle,23);
SetFocusOn=Get_DLL_Function(dllhandle,24);
MouseOver=Get_DLL_Function(dllhandle,25);
CloseWin=Get_DLL_Function(dllhandle,26);
SetWallpaper=Get_DLL_Function(dllhandle,27);
AddEditBox=Get_DLL_Function(dllhandle,28);
PopMenu=Get_DLL_Function(dllhandle,29);
ResetWallpaper=Get_DLL_Function(dllhandle,30);
FileSelector=Get_DLL_Function(dllhandle,31);
AddListBox=Get_DLL_Function(dllhandle,32);
AddListItem=Get_DLL_Function(dllhandle,33);
RefreshListBox=Get_DLL_Function(dllhandle,34);
GetListBoxSelection=Get_DLL_Function(dllhandle,35);
ResetListBox=Get_DLL_Function(dllhandle,36);
GetWinInfo=Get_DLL_Function(dllhandle,37);
SystemMessage=Get_DLL_Function(dllhandle,38);
FreeIcon=Get_DLL_Function(dllhandle,39);
GetMouse=Get_DLL_Function(dllhandle,40);
RestartEvents=Get_DLL_Function(dllhandle,41);
GetLastMouseB=Get_DLL_Function(dllhandle,42);
PutKey=Get_DLL_Function(dllhandle,43);
MakeCustomButton=Get_DLL_Function(dllhandle,44);
};

